Package com.usatiuk.dhfs.repository

# Interface DhfsObjectSyncGrpcGrpc.AsyncService

All Known Implementing Classes:
  `DhfsObjectSyncGrpcGrpc.DhfsObjectSyncGrpcImplBase`

Enclosing class:
  `DhfsObjectSyncGrpcGrpc`

public static interface DhfsObjectSyncGrpcGrpc.AsyncService

## Method Summary

Modifier and Type
Method
Description
`default void`
`canDelete(CanDeleteRequest request, io.grpc.stub.StreamObserver<CanDeleteReply> responseObserver)`
`default void`
`getObject(GetObjectRequest request, io.grpc.stub.StreamObserver<GetObjectReply> responseObserver)`
`default void`
`opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)`
`default void`
`ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)`

## Method Details

### opPush

default void opPush(OpPushRequest request, io.grpc.stub.StreamObserver<OpPushReply> responseObserver)

### getObject

default void getObject(GetObjectRequest request, io.grpc.stub.StreamObserver<GetObjectReply> responseObserver)

### canDelete

default void canDelete(CanDeleteRequest request, io.grpc.stub.StreamObserver<CanDeleteReply> responseObserver)

### ping

default void ping(PingRequest request, io.grpc.stub.StreamObserver<PingReply> responseObserver)